Set interview metadata
curl --request POST \
--url https://api.heymilo.ai/api/v2/interviews/{interview_id}/metadata \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '{
"metadata": {}
}'import requests
url = "https://api.heymilo.ai/api/v2/interviews/{interview_id}/metadata"
payload = { "metadata": {} }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {}})
};
fetch('https://api.heymilo.ai/api/v2/interviews/{interview_id}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"object": "<string>",
"metadata": {}
},
"meta": {}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"param": "title"
}
]
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"param": "title"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"param": "title"
}
]
}
}Set interview metadata
Set or update metadata for a specific interview. Up to 50 keys, each key max 40 chars, each value max 500 chars. All values must be strings.
POST
/
api
/
v2
/
interviews
/
{interview_id}
/
metadata
Set interview metadata
Authorizations
API key for authentication. Pass your key in the X-API-KEY header.
Path Parameters
Body
application/json
Request body for setting metadata on a resource.
Key-value pairs to set. Up to 50 keys, each key max 40 chars, each value max 500 chars. All values must be strings.
Show child attributes
Show child attributes
Example:
{
"external_id": "ats_12345",
"source": "workday"
}Was this page helpful?
⌘I